Commit f157b7ce authored by Shane Snyder's avatar Shane Snyder

update regression tests to check DXT

* mpi-io-test case now also checks that the DXT parser can handle
  a log file with no DXT data
* a new mpi-io-test was added to run with DXT tracing enabled
  to ensure DXT and it's parser are both functioning properly
parent 68b374d9
#!/bin/bash
PROG=mpi-io-test
# set log file path; remove previous log if present
export DARSHAN_LOGFILE=$DARSHAN_TMP/${PROG}-dxt.darshan
rm -f ${DARSHAN_LOGFILE}
# compile
$DARSHAN_CC $DARSHAN_TESTDIR/test-cases/src/${PROG}.c -o $DARSHAN_TMP/${PROG}
if [ $? -ne 0 ]; then
echo "Error: failed to compile ${PROG}" 1>&2
exit 1
fi
# enable dxt tracing
export DXT_ENABLE_IO_TRACE=
# execute
$DARSHAN_RUNJOB $DARSHAN_TMP/${PROG} -f $DARSHAN_TMP/${PROG}.tmp.dat
if [ $? -ne 0 ]; then
echo "Error: failed to execute ${PROG}" 1>&2
exit 1
fi
# parse log
$DARSHAN_PATH/bin/darshan-dxt-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
# TODO: check results
# also, ensure that darshan-parser doesn't complain if given a log file that
# has DXT data present
$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > /dev/null
if [ $? -ne 0 ]; then
echo "Error: darshan-parser failed to handle ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
unset DXT_ENABLE_IO_TRACE
exit 0
......@@ -40,4 +40,12 @@ if [ ! "$MPI_OPENS" -gt 0 ]; then
exit 1
fi
# also, ensure that darshan-dxt-parser doesn't complain if given a log file that
# does not have DXT data present
$DARSHAN_PATH/bin/darshan-dxt-parser $DARSHAN_LOGFILE > /dev/null
if [ $? -ne 0 ]; then
echo "Error: darshan-dxt-parser failed to handle ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment